# SDT Build System Components and Licenses
The following third-party libraries and components are used in the build system for the Smart Device Template.

## Table of Contents
1. [trang.jar](#trang)
2. [Ant-Contrib Tasks](#antcontrib)
3. [antSetLogLevel.JAR](#antSetLogLevel)


<a name="trang"/></a>
## trang.jar

[https://relaxng.org/jclark/trang.html](https://relaxng.org/jclark/trang.html)  
[https://github.com/relaxng/jing-trang](https://github.com/relaxng/jing-trang)

*Trang* takes as input a schema written in any of the following formats:

- RELAX NG (XML syntax)
- RELAX NG (compact syntax)
- XML 1.0 DTD

and produces as output a schema written in any of the following formats:

- RELAX NG (XML syntax)
- RELAX NG (compact syntax)
- XML 1.0 DTD
- W3C XML Schema

*Trang* can also infer a schema from one or more example XML documents.


### License
Copyright (c) 2002, 2003, 2008 Thai Open Source Software Center Ltd
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of the Thai Open Source Software Center Ltd nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

<a name="antcontrib"/></a>
## Ant-Contrib Tasks

[http://ant-contrib.sourceforge.net](http://ant-contrib.sourceforge.net)

The *Ant-Contrib* project is a collection of tasks (and at one point maybe types and other tools) for Apache Ant.

### License 

This Software is distributed under the Apache Software License.

<a name="antSetLogLevel"/></a>
## antSetLogLevel.jar

GUI dialog for Ant tasks.

Source: Deutsche Telekom



